#ifndef LISTA_SIMPLES_H_
#define LISTA_SIMPLES_H_

#include <stdio.h>
#include <stdlib.h>
#include <malloc.h>

typedef struct no_lista_simples {
    int elem;
    struct no_lista_simples *prox;
} ListaSimples, NoListaSimples;

char ListaSimplesVazia(ListaSimples *inicio);
NoListaSimples *CriaNoSimples(int elem);
void ImprimeListaSimples(ListaSimples *inicio);
char BuscaElementoListaSimples(ListaSimples *inicio, int elem, NoListaSimples **pos, NoListaSimples **ant);
char BuscaUltimoElementoListaSimples(ListaSimples *inicio, NoListaSimples **pos, NoListaSimples **ant);
void InsereInicioListaSimples(ListaSimples **inicio, int elem);
void InsereFimListaSimples(ListaSimples **inicio, int elem);
char InsereElementoAntesDaChaveListaSimples(ListaSimples **inicio, int elem, int chave);
char RemoveInicioListaSimples(ListaSimples **inicio, int *elem);
char RemoveElementoListaSimples(ListaSimples **inicio, int elem);
char RemoveFimListaSimples(ListaSimples **inicio, int *elem);
void DestroiListaSimples(ListaSimples **inicio);

#endif
